Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/src/Register_translation_unit_deallocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/src/Register_translation_unit_deallocation.cpp	(revision 104)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/src/Register_translation_unit_deallocation.cpp	(revision 112)
@@ -29,65 +29,59 @@
 	delete    in_NRESET;
 
-	delete []  in_RENAME_VAL               ;
-	delete [] out_RENAME_ACK               ;
-	if (_param->_have_port_front_end_id)
-	delete []  in_RENAME_FRONT_END_ID      ;
-	if (_param->_have_port_context_id)
-	delete []  in_RENAME_CONTEXT_ID        ;
-	delete []  in_RENAME_READ_RA           ;
-	delete []  in_RENAME_NUM_REG_RA_LOG    ;
-	delete []  in_RENAME_READ_RB           ;
-	delete []  in_RENAME_NUM_REG_RB_LOG    ;
-	delete []  in_RENAME_READ_RC           ;
-	delete []  in_RENAME_NUM_REG_RC_LOG    ;
-	delete []  in_RENAME_WRITE_RD          ;
-	delete []  in_RENAME_NUM_REG_RD_LOG    ;
-	delete []  in_RENAME_WRITE_RE          ;
-	delete []  in_RENAME_NUM_REG_RE_LOG    ;
+        DELETE1_SIGNAL( in_RENAME_VAL           ,_param->_nb_inst_insert,1);
+        DELETE1_SIGNAL(out_RENAME_ACK           ,_param->_nb_inst_insert,1);
+        DELETE1_SIGNAL( in_RENAME_FRONT_END_ID  ,_param->_nb_inst_insert,_param->_size_front_end_id          );
+        DELETE1_SIGNAL( in_RENAME_CONTEXT_ID    ,_param->_nb_inst_insert,_param->_size_context_id            );
+        DELETE1_SIGNAL( in_RENAME_READ_RA       ,_param->_nb_inst_insert,1                                   );
+        DELETE1_SIGNAL( in_RENAME_NUM_REG_RA_LOG,_param->_nb_inst_insert,_param->_size_general_register_logic);
+        DELETE1_SIGNAL( in_RENAME_READ_RB       ,_param->_nb_inst_insert,1                                   );
+        DELETE1_SIGNAL( in_RENAME_NUM_REG_RB_LOG,_param->_nb_inst_insert,_param->_size_general_register_logic);
+        DELETE1_SIGNAL( in_RENAME_READ_RC       ,_param->_nb_inst_insert,1                                   );
+        DELETE1_SIGNAL( in_RENAME_NUM_REG_RC_LOG,_param->_nb_inst_insert,_param->_size_special_register_logic);
+        DELETE1_SIGNAL( in_RENAME_WRITE_RD      ,_param->_nb_inst_insert,1                                   );
+        DELETE1_SIGNAL( in_RENAME_NUM_REG_RD_LOG,_param->_nb_inst_insert,_param->_size_general_register_logic);
+        DELETE1_SIGNAL( in_RENAME_WRITE_RE      ,_param->_nb_inst_insert,1                                   );
+        DELETE1_SIGNAL( in_RENAME_NUM_REG_RE_LOG,_param->_nb_inst_insert,_param->_size_special_register_logic);
 
-	delete [] out_INSERT_VAL               ;
-	delete []  in_INSERT_ACK               ;
-	if (_param->_have_port_front_end_id)
-	delete [] out_INSERT_FRONT_END_ID      ;
-	if (_param->_have_port_context_id)
-	delete [] out_INSERT_CONTEXT_ID        ;
-	delete [] out_INSERT_READ_RA           ;
-	delete [] out_INSERT_NUM_REG_RA_LOG    ;
-	delete [] out_INSERT_NUM_REG_RA_PHY    ;
-	delete [] out_INSERT_READ_RB           ;
-	delete [] out_INSERT_NUM_REG_RB_LOG    ;
-	delete [] out_INSERT_NUM_REG_RB_PHY    ;
-	delete [] out_INSERT_READ_RC           ;
-	delete [] out_INSERT_NUM_REG_RC_LOG    ;
-	delete [] out_INSERT_NUM_REG_RC_PHY    ;
-	delete [] out_INSERT_WRITE_RD          ;
-	delete [] out_INSERT_NUM_REG_RD_LOG    ;
-	delete [] out_INSERT_NUM_REG_RD_PHY_OLD;
-	delete [] out_INSERT_NUM_REG_RD_PHY_NEW;
-	delete [] out_INSERT_WRITE_RE          ;
-	delete [] out_INSERT_NUM_REG_RE_LOG    ;
-	delete [] out_INSERT_NUM_REG_RE_PHY_OLD;
-	delete [] out_INSERT_NUM_REG_RE_PHY_NEW;
+        DELETE1_SIGNAL(out_INSERT_VAL               ,_param->_nb_inst_insert,1);
+        DELETE1_SIGNAL( in_INSERT_ACK               ,_param->_nb_inst_insert,1);
+        DELETE1_SIGNAL(out_INSERT_FRONT_END_ID      ,_param->_nb_inst_insert,_param->_size_front_end_id          );
+        DELETE1_SIGNAL(out_INSERT_CONTEXT_ID        ,_param->_nb_inst_insert,_param->_size_context_id            );
+        DELETE1_SIGNAL(out_INSERT_READ_RA           ,_param->_nb_inst_insert,1                                   );
+        DELETE1_SIGNAL(out_INSERT_NUM_REG_RA_LOG    ,_param->_nb_inst_insert,_param->_size_general_register_logic);
+        DELETE1_SIGNAL(out_INSERT_NUM_REG_RA_PHY    ,_param->_nb_inst_insert,_param->_size_general_register      );
+        DELETE1_SIGNAL(out_INSERT_READ_RB           ,_param->_nb_inst_insert,1                                   );
+        DELETE1_SIGNAL(out_INSERT_NUM_REG_RB_LOG    ,_param->_nb_inst_insert,_param->_size_general_register_logic);
+        DELETE1_SIGNAL(out_INSERT_NUM_REG_RB_PHY    ,_param->_nb_inst_insert,_param->_size_general_register      );
+        DELETE1_SIGNAL(out_INSERT_READ_RC           ,_param->_nb_inst_insert,1                                   );
+        DELETE1_SIGNAL(out_INSERT_NUM_REG_RC_LOG    ,_param->_nb_inst_insert,_param->_size_special_register_logic);
+        DELETE1_SIGNAL(out_INSERT_NUM_REG_RC_PHY    ,_param->_nb_inst_insert,_param->_size_special_register      );
+        DELETE1_SIGNAL(out_INSERT_WRITE_RD          ,_param->_nb_inst_insert,1                                   );
+        DELETE1_SIGNAL(out_INSERT_NUM_REG_RD_LOG    ,_param->_nb_inst_insert,_param->_size_general_register_logic);
+        DELETE1_SIGNAL(out_INSERT_NUM_REG_RD_PHY_OLD,_param->_nb_inst_insert,_param->_size_general_register      );
+        DELETE1_SIGNAL(out_INSERT_NUM_REG_RD_PHY_NEW,_param->_nb_inst_insert,_param->_size_general_register      );
+        DELETE1_SIGNAL(out_INSERT_WRITE_RE          ,_param->_nb_inst_insert,1                                   );
+        DELETE1_SIGNAL(out_INSERT_NUM_REG_RE_LOG    ,_param->_nb_inst_insert,_param->_size_special_register_logic);
+        DELETE1_SIGNAL(out_INSERT_NUM_REG_RE_PHY_OLD,_param->_nb_inst_insert,_param->_size_special_register      );
+        DELETE1_SIGNAL(out_INSERT_NUM_REG_RE_PHY_NEW,_param->_nb_inst_insert,_param->_size_special_register      );
 
-	delete []  in_RETIRE_VAL               ;
-	delete [] out_RETIRE_ACK               ;
-	if (_param->_have_port_front_end_id)
-	delete []  in_RETIRE_FRONT_END_ID      ;
-	if (_param->_have_port_context_id)
-	delete []  in_RETIRE_CONTEXT_ID        ;
-	delete []  in_RETIRE_READ_RA           ;
-	delete []  in_RETIRE_NUM_REG_RA_PHY    ;
-	delete []  in_RETIRE_READ_RB           ;
-	delete []  in_RETIRE_NUM_REG_RB_PHY    ;
-	delete []  in_RETIRE_READ_RC           ;
-	delete []  in_RETIRE_NUM_REG_RC_PHY    ;
-	delete []  in_RETIRE_WRITE_RD          ;
-	delete []  in_RETIRE_NUM_REG_RD_LOG    ;
-	delete []  in_RETIRE_NUM_REG_RD_PHY_OLD;
-	delete []  in_RETIRE_NUM_REG_RD_PHY_NEW;
-	delete []  in_RETIRE_WRITE_RE          ;
-	delete []  in_RETIRE_NUM_REG_RE_LOG    ;
-	delete []  in_RETIRE_NUM_REG_RE_PHY_OLD;
-	delete []  in_RETIRE_NUM_REG_RE_PHY_NEW;
+        DELETE1_SIGNAL( in_RETIRE_VAL               ,_param->_nb_inst_retire,1);
+        DELETE1_SIGNAL(out_RETIRE_ACK               ,_param->_nb_inst_retire,1);
+        DELETE1_SIGNAL( in_RETIRE_FRONT_END_ID      ,_param->_nb_inst_retire,_param->_size_front_end_id          );
+        DELETE1_SIGNAL( in_RETIRE_CONTEXT_ID        ,_param->_nb_inst_retire,_param->_size_context_id            );
+        DELETE1_SIGNAL( in_RETIRE_READ_RA           ,_param->_nb_inst_retire,1                                   );
+        DELETE1_SIGNAL( in_RETIRE_NUM_REG_RA_PHY    ,_param->_nb_inst_retire,_param->_size_general_register      );
+        DELETE1_SIGNAL( in_RETIRE_READ_RB           ,_param->_nb_inst_retire,1                                   );
+        DELETE1_SIGNAL( in_RETIRE_NUM_REG_RB_PHY    ,_param->_nb_inst_retire,_param->_size_general_register      );
+        DELETE1_SIGNAL( in_RETIRE_READ_RC           ,_param->_nb_inst_retire,1                                   );
+        DELETE1_SIGNAL( in_RETIRE_NUM_REG_RC_PHY    ,_param->_nb_inst_retire,_param->_size_special_register      );
+        DELETE1_SIGNAL( in_RETIRE_WRITE_RD          ,_param->_nb_inst_retire,1                                   );
+        DELETE1_SIGNAL( in_RETIRE_NUM_REG_RD_LOG    ,_param->_nb_inst_retire,_param->_size_general_register_logic);
+        DELETE1_SIGNAL( in_RETIRE_NUM_REG_RD_PHY_OLD,_param->_nb_inst_retire,_param->_size_general_register      );
+        DELETE1_SIGNAL( in_RETIRE_NUM_REG_RD_PHY_NEW,_param->_nb_inst_retire,_param->_size_general_register      );
+        DELETE1_SIGNAL( in_RETIRE_WRITE_RE          ,_param->_nb_inst_retire,1                                   );
+        DELETE1_SIGNAL( in_RETIRE_NUM_REG_RE_LOG    ,_param->_nb_inst_retire,_param->_size_special_register_logic);
+        DELETE1_SIGNAL( in_RETIRE_NUM_REG_RE_PHY_OLD,_param->_nb_inst_retire,_param->_size_special_register      );
+        DELETE1_SIGNAL( in_RETIRE_NUM_REG_RE_PHY_NEW,_param->_nb_inst_retire,_param->_size_special_register      );
 
         DELETE2_SIGNAL( in_RETIRE_EVENT_VAL            ,_param->_nb_front_end, _param->_nb_context[it1],1);
